/****************** Introducción *******************/
.introduccion {
    display: grid;
    grid-template-columns: 0.8fr 1fr;
    gap: 8rem;
    max-width: 1200px;
    margin: 0 auto;
    padding-top: 7rem;
}

.introduccion__contenido {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-bottom: 50px;
}

.introduccion__contenido h1 {
    color: var(--verde-azulado);
    margin-top: 0;
    margin-bottom: 0;
}

.introduccion__contenido h2 {
    font-family: var(--fuente-textos);
    font-size: var(--body);
    font-weight: var(--regular);
    text-transform: uppercase;
    letter-spacing: 0.05em;
    margin-top: 10px;
    margin-bottom: 25px;
}

.introduccion__contenido p {
    margin-bottom: 2rem;
    margin-top: 0;
}

/****************** Servicios *******************/
.servicios {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    margin: 3rem auto;
    height: auto;
}

.servicios__lista {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 2rem;
    height: auto;
    width: 400px;
}

.servicios__imagen {
    height: 591px;
    width: 770px;
}

.servicios__imagen img {
    height: auto;
    max-height: 591px;
    object-fit: cover;
    border-radius: 10px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    width: 100%;
}

.servicio-card {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding: 27px 17px;
    background-color: var(--blanco);
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    text-decoration: none;
    transition: all 0.3s ease;
}

.servicio-card:hover {
    background-color: var(--fondo);
    transform: scale(1.05);
}

.servicio-card__icono {
    width: 65px;
    height: 65px;
}

.servicio-card__titulo {
    font-size: var(--h3);
    font-weight: var(--regular);
    margin: 0;
    line-height: 1.2;
}

.servicio-card__titulo.color-tierra {
    white-space: pre-line;
}

.color-tierra { color: var(--tierra); }
.color-esmeralda { color: var(--esmeralda); }
.color-morado { color: var(--morado); }
.color-mostaza { color: var(--mostaza); }

@media (max-width: 1200px) {
    /* Servicios */
    .servicios__lista {
        width: 100%;
    }

    .servicios__imagen {
        width: 100%;
    }
}

@media (max-width: 1024px) {

    .introduccion {
        grid-template-columns: 1fr;
    }

    .introduccion__contenido h2 {
        max-width: 20ch;
        align-self: center;
        padding-right: 0;
        line-height: 1.5;
        text-align: center;
        font-size: 1.1rem;
    }

    .introduccion__contenido {
        text-align: center;
        padding-bottom: 0;
    }

    .introduccion__imagen {
        display: none;
    }

    .introduccion__contenido .boton {
        margin: 0 auto;
        display: inline-block;
    }

    .introduccion__contenido p {
        padding: 0 6rem;
    }

    /* Servicios */

    .servicios {
        margin-bottom: 0;
    }
    
    .servicios__imagen {
        height: 591px;
    }
    
    .servicios__imagen img {
        height: 100%;
        object-fit: cover;
    }
}

@media (max-width: 768px) {
    /* Introducción */
    .introduccion {
        grid-template-columns: 1fr;
    }

    .introduccion__imagen {
        order: -1;
    }

    .introduccion__contenido h2 {
        font-size: 1rem;
    }

    /* Servicios */
    .servicios {
        grid-template-columns: 1fr;
        height: auto;
        gap: 1rem;
    }

    .servicios__lista {
        height: auto;
        align-items: center;
        gap: 1rem;
    }

    .servicios__imagen {
        height: auto;
    }

    .servicios__imagen img {
        width: 100%;
        height: auto;
    }

    .servicio-card {
        width: 100%;
    }

    .servicios__imagen {
        display: none;
    }

    .servicios__lista {
        width: 100%;
    }
}

@media (max-width: 480px) {
    /* Introducción */
    .introduccion {
        padding-top: 6rem;
    }

    .introduccion__contenido h1 {
        font-size: calc(var(--h1) * 0.8);
    }

    /* Servicios */
    .servicio-card {
        padding: 1rem;
    }

    .servicio-card__icono {
        width: 45px;
        height: 45px;
    }

    .servicio-card__titulo {
        font-size: calc(var(--h3) * 1);
    }

    .introduccion__contenido p {
        padding: 0;
    }

    .introduccion__contenido h2 {
        font-size: 1rem;
    }
}